

body {
  cursor: pointer;
}

a:hover, button:hover {
  cursor:  pointer;
}

/* Apply animation to a custom element when hovering */
.custom-hover-element:hover {
  animation: pulse 1s infinite;
}


h1,h2,h3,h4,h5,h6{
  color: black;
  font-weight: bolder;
}
/* Stylesheet (e.g., styles.css) */
.hover-effect {
  outline: 2px solid green;
}
/* Base styles */
.app-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #f3f3f3;
  padding: 10px;
  margin-bottom: 7vh;
}

.app-bar-button {
  color: inherit;
  border: 1px solid;
  padding: 8px 16px;
  font-size: x-small;
  margin-left: 10px;
  border-radius: 4px;
  text-transform: none; /* Optional: if you want to keep the button text casing as is */
}

/* Responsive styles */
@media (max-width: 768px) {
  .app-bar-button {
      padding: 6px 12px; /* Smaller padding for smaller screens */
      font-size: 10px; /* Smaller font size */
      margin-left: 5px; /* Less margin */
  }

  .app-bar .switch-container {
      margin-right: 10px; /* Adjust space around the switch */
  }
}
/* Define keyframes for the animation */
@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}